# Uses of Enum Class
org.apache.lucene.search.suggest.document.CompletionPostingsFormat.FSTLoadMode

Packages that use CompletionPostingsFormat.FSTLoadMode
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

## Uses of CompletionPostingsFormat.FSTLoadMode in org.apache.lucene.search.suggest.document

Methods in org.apache.lucene.search.suggest.document that return CompletionPostingsFormat.FSTLoadMode
Modifier and Type
Method
Description
`static CompletionPostingsFormat.FSTLoadMode`
CompletionPostingsFormat.FSTLoadMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompletionPostingsFormat.FSTLoadMode[]`
CompletionPostingsFormat.FSTLoadMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.lucene.search.suggest.document with parameters of type CompletionPostingsFormat.FSTLoadMode
Modifier and Type
Method
Description
`static NRTSuggester`
NRTSuggester.`load(IndexInput input, CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Loads a `NRTSuggester` from `IndexInput` on or off-heap depending on the provided `fstLoadMode`
Constructors in org.apache.lucene.search.suggest.document with parameters of type CompletionPostingsFormat.FSTLoadMode
Modifier
Constructor
Description
``
`Completion50PostingsFormat(CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Creates a `Completion50PostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.
``
`Completion84PostingsFormat(CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Creates a `Completion84PostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.
``
`Completion90PostingsFormat(CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Creates a `Completion90PostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.
``
`Completion912PostingsFormat(CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Creates a `Completion912PostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.
``
`Completion99PostingsFormat(CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Creates a `Completion99PostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.
``
`CompletionPostingsFormat(String name, CompletionPostingsFormat.FSTLoadMode fstLoadMode)`
Creates a `CompletionPostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.